Jump to content

Template:CreatureInfobox/styles.css

From Creature Breeder Wiki
Revision as of 00:14, 17 April 2026 by Gremlinarvinr (talk | contribs) (Created page with ".creature-infobox { width: 20em; float: right; box-sizing: border-box; border: solid 2px #000; margin: 0 1em 0 0; background-color: #D3D3D3; color: #000; } @media screen { html.skin-theme-clientpref-night .creature-infobox { border: solid 2px #fff; background-color: #414141; color: #fff; } } .creature-name-hd { font-size: 1.2em; font-weight: bold; text-align: center; background-color: #B1B1B1; color: #000; } @media screen...")
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
.creature-infobox {
  width: 20em;
  float: right;
  box-sizing: border-box;
  border: solid 2px #000;
  margin: 0 1em 0 0;
  background-color: #D3D3D3;
  color: #000;
}

@media screen {
	html.skin-theme-clientpref-night .creature-infobox {
      border: solid 2px #fff;
      background-color: #414141;
      color: #fff;
    }
}

.creature-name-hd {
  font-size: 1.2em;
  font-weight: bold;
  text-align: center;
  background-color: #B1B1B1;
  color: #000;
}

@media screen {
	html.skin-theme-clientpref-night .creature-name-hd {
      background-color: #232323;
      color: #fff;
    }
}

.creature-imgs {
  margin: auto;
  text-align: center;
}

.creature-imgs img {
  max-height: 15em;
  width: auto;
}

.creature-imgs input[type="radio"] {
  position: absolute;
  opacity: 0;
}

@media screen {
	html.skin-theme-clientpref-night .gender-input {
      border: 1px solid #fff;
    }
}

.gender-input label {
  display: inline-block;
  padding: 5px 8px;
  background-color: #BFBFBF;
  color: #000;
  border: 1px solid #ccc;
  cursor: pointer;
  border-radius: 4px;
}

@media screen {
	html.skin-theme-clientpref-night .gender-input label {
    background-color: #575757;
    color: #fff;
    border: 1px solid #ccc;
  }
}

#female-toggle:checked ~ .female-input label {
  background-color: #C86CBC;
  color: #fff;
}

#male-toggle:checked + label {
  background-color: #598ADB;
  color: #fff;
}

.creature-ib-fem-img {
  display: none;
}

.creature-ib-male-img {
  display: none;
}

#female-toggle:checked ~ .creature-ib-fem-img {
  display: block;
}

#female-toggle:checked ~ .creature-ib-male-img {
  display: none;
}

#male-toggle:checked ~ .creature-ib-fem-img {
  display: none;
}

#male-toggle:checked ~ .creature-ib-male-img {
  display: block;
}